Description

This may or may not be a bug, is dependent on intended behavior...

Details

On staging if the Staged segment contains it's own controller the new controller will not retain the state that the stage was in on
seperation.

i.e. if you have a stage that is firing it's rockets when the stage was separated this is not currently carried onto the new controller.

Gameplay usecase

| found this on creating a rover skycrane | had expected that if | dropped the rover that the skycrane would continue to fire it's
engines, however as the rover had the primary controller my game focus was retained on the rover and the skycranes engines
shutdown due to independent controller on board, crashing it into the rover it just released. | had expected it to accelerate upwards
and | could then switch control.

Reproduction steps
See attached pics for design to reproduce. (essentially a seperatable stage with rockets that has a controller optionally attached)

Without controller

® Fire rockets on separation stage
¢ Separate the stage (rockets launch off of the stage as they are still firing)

With Controller
¢ Fire rockets on separation stage
e Separate the stage (controller in the separated stage takes over and resets the current state to the starting state. therefore

shutting down the engines)

Suggested fix
On controller activation import the current parts state information so that the controller takes control in it's current state.

History

#1 - 03/19/2013 05:00 PM - Mr_Orion

- Subject changed from Gamplay - State retention on seperation to State retention on seperation

#2 - 03/24/2013 07:09 AM - sal_vager

- Status changed from New to Confirmed
- Severity changed from Normal to Low

- % Done changed from 0 to 10

- Platform Windows added

Confirmed in Linux, a staged section with liquid engines running will shut down those engines immediately upon staging, SRB's are not shut down of
course.

However this may be an intended feature.
#3 - 03/24/2013 01:45 PM - Anonymous

Confirmed in Windows. [f there is no controller or if the controller is inactive, or uncrewed in the case of pods, the engines will continue to fire.
However, if there is a probe core or crewed pod attached to the separated part, the engines will immediately cease functioning. Solid Rocket
Boosters perform as usual.

#4 - 10/30/2013 07:06 AM - sr

| cannot reproduce this issue with 0.22. Could you please check if the issue still persists for you?

#5-11/19/2013 12:46 PM - sr
- Status changed from Confirmed to Closed

- % Done changed from 10 to 100

Closing the issue due to inactivity and inability to reproduce. If the problem persists for you, please re-open the issue.
